<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
    function renderNumbersWhile(endNumber){
    if (endNumber <= 0){
        return "Ju lutemi shenoni numerin me vlere pozitive!";
    }
}
    console.log(renderNumbersWhile(0));

    var i=1;
    while(i <= 50){
        console.log("Vlera prej While loop", i++);
    }
    function renderNumbersDoWhile(endNumber){
        if(endNumber <= 0){
            return "Ju lutemi shenoni nyumerin me vlere pozitive";
        }
    }
    console.log(renderNumbersDoWhile(0));

        var i = 1 ;
        do{
        console.log(i++);
        } while (i < 50);
{
    console.log(i++);
}

    function renderNumbersFor(endNumber){
        if (endNumber <= 0){
            return "Ju lutem shenoni numerin me vlere pozitive";
         }
        for(var i =1; i<= endNumber; i++) {
            console.log ("Vlera prej For loop", i);
        }
        return "funksioni u krye me sukses"
    }
    console.log(renderNumbersFor(34));

    function renderEvenNumbers(firstNumber, endNumber) {
        if(firstNumber >= endNumber) {
            return "Numeri i pare duhet te jete me i vogel se numri i dyte";
        }
        for(var i = firstNumber; i <=endNumber; i++){
            if (i % 2 !==0) {
                continue;
            }
            console.log(i);
        }
    }
    console.log(renderEvenNumbers(5,27))
    </script>
</body>
</html>